import {Component, OnInit} from '@angular/core';
import {Api} from '../../service/api';
import {NavController} from '@ionic/angular';
import {ActivatedRoute} from '@angular/router';
import {Load} from '../../service/load';
import {Transfer} from '../../service/transfer';

@Component({
    selector: 'v-env-add-model',
    templateUrl: './env-add-model.page.html',
    styleUrls: ['./env-add-model.page.scss'],
})
export class EnvAddModelPage implements OnInit {

    constructor(public nav: NavController,
                private api: Api,
                private ac: ActivatedRoute,
                private load: Load,
                private tf: Transfer) {}


    controlConfig = [];
    ngOnInit() {
        this.init();
    }

    init() {
        this.controlConfig = [{name: '', interval: '', T: '', A: '', B: ''}];
    }

    addModel() {
        this.controlConfig.push({name: '', interval: '', T: '', A: '', B: ''});
    }
}
